<?php
/*******************************************************************************/
//                          InstantCMS v1.10                                    //
//                      http://www.instantcms.ru/                              //
//                     API to http://nextgame.ru                               //
//                     written by Marat Fatikhov                               //
//                      (nickname Марат on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/



define("VALID_CMS", 1);
define('PATH', $_SERVER['DOCUMENT_ROOT']);

include(PATH.'/core/cms.php');
include(PATH.'/includes/nextgame.inc.php');

$inCore = cmsCore::getInstance();
$inDB       = cmsDatabase::getInstance();
$inCore->loadClass('user');
$inUser = cmsUser::getInstance();



// получаем данные из запроса

$uid 		= $inCore->request('uid', 'int', 0);
$time		= $inCore->request('time', 'str', '');
$sig		= $inCore->request('sig', 'str', '');

if (!$uid || !$time || !$sig){
     echo ErrorReply('1', 'Неверные параметры запроса');
     exit();
}

//проверяем сигнатуру
if(!isSignatureValid ()){
       echo ErrorReply('2', 'Неверная сигнатура');
     exit();
}

// проверяем, есть ли пользователь
if(!$inDB->get_field('cms_users', "id= {$uid}", 'id')) {
      echo ErrorReply('3', 'Пользователь не найден');
     exit();
}

//начинаем готовить данные для ответа

$site_reply = '<?xml version="1.0" encoding="UTF-8"?><friends>';

// получаем друзей пользователя
$friends = @$inUser->getFriends($uid);
foreach($friends as $key=>$value){

    $site_reply .= '<friend_id>'.$value['id'].'</friend_id>';

}

$site_reply .= '</friends>';

if($site_reply){  
      echo $site_reply;
} else{
      echo ErrorReply('-2', 'Неизвестная ошибка');
  }


?>
